`timescale 1ns/100ps

module tb;

logic i_clk, i_rst;
always #1 i_clk = ~i_clk;

initial begin
	@(negedge i_rst)
	@(posedge i_rst)
	while (1) begin
		@(posedge i_clk)
		#0 $Lab31Cycle;
	end
end

initial begin
	$fsdbDumpfile("lab31.fsdb");
	$fsdbDumpvars(0, tb.u_to_upper);
	$Lab31Start;
	i_clk = 0;
	i_rst = 1;
	#10
	i_rst = 0;
	#10
	i_rst = 1;
	#1000
	$Lab31Stop;
	$finish;
end

ToUpper u_to_upper(.i_clk(i_clk), .i_rst(i_rst));
endmodule
